
package de.ivu.elect.presentation.wahlausschuss;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.GroupedConversation;
import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.wahlausschuss.entity.WahlausschussEntschaedigung;

@GroupedConversationScoped
@ConversationGroup(WahlausschussEntschaedigungConversationStore.class)
public class WahlausschussEntschaedigungConversationStore implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private GroupedConversation conversation;

  private List<WahlausschussEntschaedigung> entities = new ArrayList<>();

  public List<WahlausschussEntschaedigung> getEntities() {
    return entities;
  }

  public void setEntities(List<WahlausschussEntschaedigung> entities) {
    this.entities = entities;
  }

  public void addEntities(List<WahlausschussEntschaedigung> entities) {
    this.entities.addAll(entities);
  }

  public void close() {
    conversation.close();
  }
}
